As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 368418 - QuickLaunch - app startup pref ignored
: QuickLaunch - app startup pref ignored
Status: VERIFIED FIXED
: fixed-seamonkey1.1.1
Product: Core Graveyard
Classification: Graveyard
Component: QuickLaunch (AKA turbo mode) (show other bugs)
: 1.8 Branch
: x86 Windows XP
: -- minor (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
: 366569 367680 367756 368421 370798 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-27 08:13 PST by Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
Modified: 2012-10-25 11:16 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (573 bytes, patch)
2007-02-18 09:24 PST, neil@parkwaycc.co.uk
csthomas: review+
cbiesinger: superreview+
Details | Diff | Splinter Review

Description User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-01-27 08:13:27 PST
In SM1.1., with QuickLaunch running, no matter what boxes are checked under Appearance->"When SeaMonkey starts up, open", a shortcut that runs seamonkey.exe with no arguments results in a browser only.
Comment 1 User image neil@parkwaycc.co.uk 2007-02-18 09:24:11 PST
Created attachment 255587 [details] [diff] [review]
Proposed patch

OK, so the issue here is that seamonkey -turbo needs to inhibit the default preferences. It does this by setting an mShouldShowUI flag to false, but this flag never gets set to true again. This wasn't a problem in 1.0.x because bug 58523 changed the order of startup tests and this code only used to run once.
Comment 2 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-02-18 11:23:47 PST
*** Bug 370798 has been marked as a duplicate of this bug. ***
Comment 3 User image neil@parkwaycc.co.uk 2007-02-18 11:39:09 PST
Comment on attachment 255587 [details] [diff] [review]
Proposed patch

See previous comment...
Comment 4 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-02-18 13:06:04 PST
Comment on attachment 255587 [details] [diff] [review]
Proposed patch

I think this fixed bug 368421 too.
Comment 5 User image Wayne Mery (:wsmwk, NI for questions) 2007-02-18 13:14:21 PST
suspect there is _at least_ one, much older dupe. sorry, i read quite of few but don't have number(s)
Comment 6 User image Christian :Biesinger (don't email me, ping me on IRC) 2007-02-22 07:10:18 PST
Comment on attachment 255587 [details] [diff] [review]
Proposed patch

could you diff with more context and -p in the future?
Comment 7 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-03-01 05:50:17 PST
*** Bug 368421 has been marked as a duplicate of this bug. ***
Comment 8 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-03-01 05:50:32 PST
*** Bug 367680 has been marked as a duplicate of this bug. ***
Comment 9 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-03-01 05:51:00 PST
*** Bug 366569 has been marked as a duplicate of this bug. ***
Comment 10 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-03-01 05:52:13 PST
*** Bug 367756 has been marked as a duplicate of this bug. ***
Comment 11 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-03-01 05:54:02 PST
Any reason this bug isn't marked as resolved?
Comment 12 User image neil@parkwaycc.co.uk 2007-03-01 06:21:05 PST
(In reply to comment #11)
>Any reason this bug isn't marked as resolved?
Because I was checking with KaiRo as to whether it would make 1.1.1 and overlooked that he'd only set the 1.1.1 flag and not resolved it too.
Comment 13 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-03-01 15:55:40 PST
Verifying based on user feedback.

Note You need to log in before you can comment on or make changes to this bug.